## prometheus-blackbox-exporter 0.25.0

=== debian/changelog ===
prometheus-blackbox-exporter (0.25.0-2) unstable; urgency=medium

  * i18n: add Swedish debconf translation (Closes: #1080161)
    Thanks to Martin Bagge for providing this translation
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 30 Nov 2024 09:05:51 +0000

prometheus-blackbox-exporter (0.25.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0005-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Drop obsolete Build-Dep golang-github-pkg-errors-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 11 Apr 2024 15:04:57 +0000

prometheus-blackbox-exporter (0.24.0-3) unstable; urgency=medium

  * Convert patches to gbp-pq format
  * Add new 0005-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Mar 2024 02:05:19 +0000

=== debian/control ===
Source: prometheus-blackbox-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.16~),
               golang-github-alecthomas-units-dev,
               golang-github-andybalholm-brotli-dev,
               golang-github-go-kit-log-dev,
               golang-github-miekg-dns-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.42.0),
               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
               golang-golang-x-net-dev,
               golang-google-grpc-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-gopkg-yaml.v3-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
Homepage: https://github.com/prometheus/blackbox_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/prometheus/blackbox_exporter

Package: prometheus-blackbox-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: blackbox prober for Prometheus
 The blackbox exporter allows blackbox probing of network endpoints over HTTP,
 HTTPS, DNS, TCP and ICMP. Additional modules can be defined to suit other
 needs.
 .
 Querying of endpoints happens via HTTP GET queries, by specifying the target
 name and what kind of probing to execute. Results from the probe are returned
 as a set of Prometheus metrics.

## prometheus-blackbox-exporter 0.26.0

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le

include Makefile.common

DOCKER_IMAGE_NAME       ?= blackbox-exporter

=== debian/changelog ===
prometheus-blackbox-exporter (0.26.0-2) unstable; urgency=medium

  * Modernize debian/rules to produce more visually appealing man page
  * Add new 0005-Support-prometheus-common-v0.63.0.patch
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Aug 2025 15:16:28 +0000

prometheus-blackbox-exporter (0.26.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0002-Use-deprecate-insecure-gRPC.patch
  * Refresh remaining patches
  * Drop unused Build-Depends golang-github-go-kit-log-dev
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)
  * Bump Standards-Version to 4.7.1 (no changes)
  * Refresh packaging according to latest dh-make-golang template

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 16:31:30 +0000

=== debian/control ===
Source: prometheus-blackbox-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-alecthomas-units-dev,
               golang-github-andybalholm-brotli-dev,
               golang-github-miekg-dns-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.63.0),
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-golang-x-net-dev,
               golang-google-grpc-dev (>= 1.34.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-gopkg-yaml.v3-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
Homepage: https://github.com/prometheus/blackbox_exporter
XS-Go-Import-Path: github.com/prometheus/blackbox_exporter

Package: prometheus-blackbox-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: blackbox prober for Prometheus
 The blackbox exporter allows blackbox probing of network endpoints over HTTP,
 HTTPS, DNS, TCP and ICMP. Additional modules can be defined to suit other
 needs.
 .
 Querying of endpoints happens via HTTP GET queries, by specifying the target
 name and what kind of probing to execute. Results from the probe are returned
 as a set of Prometheus metrics.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := config/testdata

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/blackbox_exporter _build/bin/$(BINNAME)

override_dh_auto_test:
	dh_auto_test -- -short $(BUILDFLAGS)

MAN_WHATIS := $(BINNAME) \\- Blackbox prober for Prometheus
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus/blackbox_exporter/tags .*/v?(\d\S*)\.tar\.gz debian
